<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoItem;

class ApontamentoVeiculoGastoItemObserver
{
   public function creating(ApontamentoVeiculoGastoItem $apontamento_veiculo_gasto_item)
   {
      $apontamento_veiculo_gasto_item->avgi_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto_item->avgi_date_insert = Carbon::now();
   }

   public function updating(ApontamentoVeiculoGastoItem $apontamento_veiculo_gasto_item)
   {
      $apontamento_veiculo_gasto_item->avgi_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto_item->avgi_date_update = Carbon::now();
   }
}