<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CategoriaGastoValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class CategoriaGastoValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
           'tipo' => 'required|in:1,2',
           'descricao' => 'required|string|max:40',
           ],
        ValidatorInterface::RULE_UPDATE => [
           'tipo' => 'required|in:1,2',
           'descricao' => 'required|string|max:40',
           ],
    ];
}
